#include <Arduino.h>

#define HARDWARE_TYPE_RS485 1
#define HARDWARE_TYPE_4_20MA 2
#define HARDWARE_TYPE_OEM_DI 3

#define HARDWARE_TYPE HARDWARE_TYPE_OEM_DI

#define SENSOR_VALUE_4_20MA_CURRENT 0
#define SENSOR_VALUE_4_20MA_LINEAR 1
#define SENSOR_VALUE_4_20MA_NON_LINEAR 2
#define SENSOR_VALUE_4_20MA_MAX 3

extern double gSensorValueArray[SENSOR_VALUE_4_20MA_MAX];

extern uint8_t hardwareType;